[OE-core] [CONSOLIDATED PULL 10/21] scripts/runqemu: disable unfs boot mode for qemuppc

Saul Wold sgw at linux.intel.com
Fri Aug 26 19:39:40 UTC 2011


From: Liming Wang <liming.wang at windriver.com>

Because unfs boot mode is unstable for qemuppc, disable
it temporarily.

Signed-off-by: Liming Wang <liming.wang at windriver.com>
---
 scripts/runqemu |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/scripts/runqemu b/scripts/runqemu
index 91c3c9e..113088e 100755
--- a/scripts/runqemu
+++ b/scripts/runqemu
@@ -354,6 +354,12 @@ if [ -z "$FSTYPE" ]; then
         usage
     fi
 fi
+
+if [ "$FSTYPE" = "nfs" -a "$MACHINE" = "qemuppc" ]; then
+    echo "Error: usermode NFS boot is not available for qemuppc."
+    exit 1
+fi
+
 # FSTYPE is now set for all cases
 
 # Handle cases where a ROOTFS type is given instead of a filename, e.g.
-- 
1.7.6





More information about the Openembedded-core mailing list